﻿using VeterinaryDataModels.Models;

namespace VeterinaryContracts.BindingModels
{
    public class PetBindingModel : IPetModel
	{
		public int Id { get; set; }
		public int OwnerId { get; set; }
		public string PetName { get; set; } = string.Empty;
		public string PetType { get; set;} = string.Empty;
		public string PetBreed { get; set; } = string.Empty;
		public string PetGender {  get; set; } = string.Empty;
		public Dictionary<int, IVisitModel> VisitPets { get; set; } = new();
		public Dictionary<int, IPurchaseModel> PurchasePets { get; set; } = new();
	}
}
